- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- AnnualSubscriptionInfo
- LicenseCounts
- PerpetualLicenseInfo
- Try it!
Gets the aggregated subscription and license information for a given customer as a singleton resource. Note: Because the data is snapshotted for ChromeOS devices, the exact numbers can be delayed by up to 10 seconds.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{name=customers/*/subscriptionInfo}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the customer subscription info to retrieve. Format: customers/{customer}/subscriptionInfo |
Request body
The request body must be empty.
Response body
Singleton resource representing the subscription and license information for a given customer.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "chromeEnterpriseUpgradeAnnual": { object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the customer subscription info. Format: customers/{customer}/subscriptionInfo |
chromeEnterpriseUpgradeAnnual |
Output only. Details for Chrome Enterprise Upgrade Annual SKU. |
kioskSignageUpgradeAnnual |
Output only. Details for Kiosk & Signage Upgrade Annual SKU. |
chromePerpetualUpgrade |
Output only. Details for Chrome Ent/Edu Upgrade Perpetual SKU. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chrome.management.subscriptions.readonly
AnnualSubscriptionInfo
Information for annually recurring subscriptions/licenses.
| JSON representation |
|---|
{
"counts": {
object ( |
| Fields | |
|---|---|
counts |
Output only. License counts for this subscription. |
subscriptionEndTime |
Output only. The date when the current subscription period ends. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
LicenseCounts
Resource counts for a specific license type.
| JSON representation |
|---|
{ "totalPurchasedCount": string, "assignedCount": string, "unassignedCount": string } |
| Fields | |
|---|---|
totalPurchasedCount |
Output only. Total number of licenses purchased. |
assignedCount |
Output only. Total number of licenses currently assigned to users or devices. |
unassignedCount |
Output only. Total number of licenses available for assignment. |
PerpetualLicenseInfo
Information for perpetual licenses.
| JSON representation |
|---|
{
"counts": {
object ( |
| Fields | |
|---|---|
counts |
Output only. License counts for the perpetual SKU. |
retiredCount |
Output only. Number of perpetual upgrades that were purchased but are no longer available for enrollment. These are perpetual upgrades that were enrolled to a device that has since been retired, and the upgrade cannot be transferred or re-used on a different device. Retired licenses are a subset of the Assigned total. |
conditionallyAvailableCount |
Output only. Number of standalone perpetual upgrades that were previously enrolled and later unenrolled for RMA, warranty, or repair reasons, and are only available to be reused on a same model device. Conditionally available licenses are a subset of the Assigned total. |